Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-16261

Node dev guide - CoreWrapper is not supported API

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 6.5.2.3, 7.0.0
    • Fix Version/s: None
    • Component/s: authentication
    • Labels:

      Description

      Docs mention that it's ok to use the CoreWrapper methods, which however are not part of the public API:
      https://backstage.forgerock.com/docs/am/6.5/auth-nodes/#core-class

      You may also wish to obtain AM core classes, such as CoreWrapper, instances of third-party dependencies, or your own types.

      Unfortunately, many marketplace nodes have already adopted it. We need to update our docs.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                anastasios.kampas Tasos Kampas
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated: